'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

exports.default = babelHandler;

var _babelCore = require('babel-core');

function babelHandler(code, { eventPath, plugin, filename }) {
  const opts = plugin.plugin;
  const fromOpts = { from: eventPath };

  const lastPlugin = Array.isArray(opts) ? [opts[0], _extends({}, opts[1], fromOpts)] : [opts, fromOpts];

  const { code: result } = (0, _babelCore.transform)(code, {
    filename,
    babelrc: false,
    plugins: [lastPlugin]
  });

  return result ? result.trim() : '';
}